#include<iostream>
using namespace std;
bool proverisve(int niz[],int N)
{
	for (int i = 0; i < N - 1; i++) {
    for (int j = i + 1; j < N; j++) {
        if (niz[i] == niz[j]) {
            return true;
        }
    }
}
return false;
}
main()
{
	int N,x,y;
	scanf("%d",&N);
	int red[N],kol[N];
	for(int i=0;i<N;i++)
	{
		scanf("%d%d",&x,&y);
		red[i]=x;
		kol[i]=y;
	}
	int brojac=0,brojRedovaMaks=N,brojKolonaMaks=N;
	if(proverisve(red,N))
	while(brojRedovaMaks>0)
	{
		int maks=red[0];
		int indeks=0;
		for(int i=0;i<brojRedovaMaks;i++)
		{
			if(red[i]>maks)
			{
				maks=red[i];
				indeks=i;
			}
		}
		if(brojRedovaMaks>maks)
			brojac+=brojRedovaMaks-maks;
		if(brojRedovaMaks<maks)
			brojac+=maks-brojRedovaMaks;
		for(int i=indeks;i<brojRedovaMaks;i++)
		{
			red[i]=red[i+1];
		}
		brojRedovaMaks--;
	}
	if(proverisve(kol,N))
	while(brojKolonaMaks>0)
	{
		int maks=kol[0];
		int indeks=0;
		for(int i=0;i<brojKolonaMaks;i++)
		{
			if(kol[i]>maks)
			{
				maks=red[i];
				indeks=i;
			}
		}
		if(brojKolonaMaks<maks)
			brojac+=maks-brojKolonaMaks;
		if(brojKolonaMaks>maks)
			brojac+=brojKolonaMaks-maks;
		for(int i=indeks;i<brojKolonaMaks;i++)
		{
			kol[i]=kol[i+1];
		}
		brojKolonaMaks--;
	}
	printf("%d",brojac);
}